Subject: bug#19850: closed (Re: bug#19850: 25.0.50; [PATCH] configure.ac: Fix site-lisp paths with NS self-contained apps.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Feb 2015 16:47:02 +0000

Your bug report

#19850: 25.0.50; [PATCH] configure.ac: Fix site-lisp paths with NS self-contained apps.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19850: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19850
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19850: 25.0.50; [PATCH] configure.ac: Fix site-lisp paths with NS self-contained apps.
From: "Jan D." <[email-masked]>
To: David Caldwell <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Feb 2015 17:46:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I have fixed in trunk so that directories pointing to the build dir is not in loadpath.

	Jan D.

Subject: 25.0.50; [PATCH] configure.ac: Fix site-lisp paths with NS self-contained apps.
From: David Caldwell <[email-masked]>
To: [email-masked]
Date: Thu, 12 Feb 2015 13:51:28 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

When building a self contained Mac OS X app, the site-lisp dir that gets
inserted into `load-path` is not very useful, since it points to the
Emacs.app in `nextstep/` where emacs was compiled. For example:

"/Users/build/workspace/Emacs-Multi-Build/label/mavericks/emacs-source/nextstep/Emacs.app/Contents/Resources/share/emacs/24.4/site-lisp"

I think the site lisp path should be in `/Library/emacs` instead. Here
is a patch to do just that (created with `git format-patch`, is that
convenient? I don't know what works best in these cases).

I patched the trunk, but on reflection, it seems like this should go in
the 24 branch, too.

-David

From c20e8816f3905fa3ec6f82a7f566f7ce32dc178b Mon Sep 17 00:00:00 2001
From: David Caldwell <[email-masked]>
Date: Thu, 12 Feb 2015 13:31:36 -0800
Subject: [PATCH] configure.ac: Fix site-lisp paths with NS self-contained
 apps.

* configure.ac (HAVE_NS): When self-contained, set datarootdir to
/Library so PATH_SITELOADSEARCH path points there instead of inside
the Emacs.app build dir.
---
 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/configure.ac b/configure.ac
index 68291b8..3e44a93 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1872,6 +1872,8 @@ if test "${HAVE_NS}" = yes; then
      mandir="\${ns_appresdir}/man"
      lispdir="\${ns_appresdir}/lisp"
      INSTALL_ARCH_INDEP_EXTRA=
+     # This is so PATH_SITELOADSEARCH gets set to /Library/emacs/...
+     datarootdir=/Library
   fi

   NS_OBJC_OBJ="nsterm.o nsfns.o nsmenu.o nsselect.o nsimage.o $ns_fontfile"
--
2.2.2
From c20e8816f3905fa3ec6f82a7f566f7ce32dc178b Mon Sep 17 00:00:00 2001
From: David Caldwell <[email-masked]>
Date: Thu, 12 Feb 2015 13:31:36 -0800
Subject: [PATCH] configure.ac: Fix site-lisp paths with NS self-contained
 apps.

* configure.ac (HAVE_NS): When self-contained, set datarootdir to
/Library so PATH_SITELOADSEARCH path points there instead of inside
the Emacs.app build dir.
---
 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/configure.ac b/configure.ac
index 68291b8..3e44a93 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1872,6 +1872,8 @@ if test "${HAVE_NS}" = yes; then
      mandir="\${ns_appresdir}/man"
      lispdir="\${ns_appresdir}/lisp"
      INSTALL_ARCH_INDEP_EXTRA=
+     # This is so PATH_SITELOADSEARCH gets set to /Library/emacs/...
+     datarootdir=/Library
   fi
 
   NS_OBJC_OBJ="nsterm.o nsfns.o nsmenu.o nsselect.o nsimage.o $ns_fontfile"
-- 
2.2.2